Bug 135583 - RHEL3U3 panics on boot for HP rx5670
RHEL3U3 panics on boot for HP rx5670
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-13 13:37 EDT by Bill Peck
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 09:28:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Candidate #1 (7.72 KB, patch)
2004-11-02 15:25 EST, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Bill Peck 2004-10-13 13:37:05 EDT
Description of problem:


Version-Release number of selected component (if applicable):
2.4.21-20.EL

How reproducible:
Booted system twice, panic happend both times.

Steps to Reproduce:
1. Install RHEL3U3 on Glacier (rx5670)
2. boot
3.
  
Actual results:
Mounting USB filesystem:  [  OK  ]
Unable to handle kernel NULL pointer dereferenceswapper[0]: Oops
8804682956800
                                                                     
          
Pid: 0, comm:              swapper
EIP is at sohci_free_dev [usb-ohci] 0x4b0 (2.4.21-20.EL)
psr : 0000101008026018 ifs : 8000000000000690 ip  :
[<a000000000256a10>]    Not tainted
unat: 0000000000000000 pfs : 0000000000000690 rsc : 0000000000000003
rnat: 0000000000000000 bsps: 0000000000000000 pr  : fffffffeffffaa65
ldrs: 0000000000000000 ccv : 0000000000000000 fpsr: 0009804c8a70033f
b0  : a000000000256a10 b6  : e000000004487000 b7  : e000000004807b60
f6  : 0fffbccccccccc8c00000 f7  : 0ffdcb640000000000000
f8  : 100029000000000000000 f9  : 10002a000000000000000
r1  : e000000004cafd00 r2  : 0000000000000000 r3  : 0000000000000000
r8  : 000000000000001e r9  : 0000000000000001 r10 : 0000000000000000
r11 : e000000004b7cf38 r12 : e0000000049f7c60 r13 : e0000000049f0000
r14 : 0000000000000001 r15 : e000000004acf810 r16 : 0000000000004000
r17 : 0000000000004000 r18 : 0000000000004000 r19 : e000000004b7cf08
r20 : e000000004acf7e8 r21 : 0000000000020000 r22 : e00000012a48de36
r23 : 0000000000003c36 r24 : 000000000001ffff r25 : 000000000001ffff
r26 : 0000000000020000 r27 : 000000000000000a r28 : 000000000000000a
r29 : 0000000000000001 r30 : e00000012a48a200 r31 : 0000000000003c55
                                                                     
          
Call Trace: [<e0000000044158e0>] sp=0xe0000000049f7860
bsp=0xe0000000049f14f0 show_stack [kernel] 0x80
[<e000000004431ae0>] sp=0xe0000000049f7a30 bsp=0xe0000000049f14c8 die
[kernel] 0x200
[<e000000004451330>] sp=0xe0000000049f7a30 bsp=0xe0000000049f1470
ia64_do_page_fault [kernel] 0x310
[<e00000000440e9a0>] sp=0xe0000000049f7ac0 bsp=0xe0000000049f1470
ia64_leave_kernel [kernel] 0x0
[<a000000000256a10>] sp=0xe0000000049f7c60 bsp=0xe0000000049f1408
sohci_free_dev [usb-ohci] 0x4b0
 <0>Kernel panic: Aiee, killing interrupt handler!
In interrupt handler - not syncing
                                                                     
          


Expected results:


Additional info:
Comment 1 Bill Peck 2004-10-13 14:35:15 EDT
I found that if I leave the USB keyboard disconnected on startup then
the system does not panic.
Comment 2 Pete Zaitcev 2004-11-02 15:10:07 EST
I'm afraid I know what this might be, thanks to Jes Sorensen.
I'll attach a candidate in a moment.
Comment 3 Pete Zaitcev 2004-11-02 15:25:22 EST
Created attachment 106092 [details]
Candidate #1
Comment 4 Ernie Petrides 2004-11-29 22:07:58 EST
A fix for this problem has just been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-26.2.EL).
Comment 5 Tim Powers 2005-05-18 09:28:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html
Comment 6 Pete Zaitcev 2005-10-24 18:12:40 EDT
Unfortunately, the fix regresses, by accessing freed memory.
See bug 171129.

Note You need to log in before you can comment on or make changes to this bug.